
import 'dart:async';

import 'package:flutter/services.dart';

class Disk {
  static const MethodChannel _channel = MethodChannel('disk');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<List> getMountedStorageVolumes() async {
    return await _channel.invokeMethod('getMountedStorageVolumes');
  }

  static Future<int> getTotalBytes(String path) async {
    return await _channel.invokeMethod("getTotalBytes", {"path": path});
  }

  static Future<int> getFreeBytes(String path) async {
    return await _channel.invokeMethod("getFreeBytes", {"path": path});
  }
}
